Appearance
Collections Status
This endpoint is used to check the status of a collection request by its reference ID.
Endpoint
GET https://api.lipila.dev/api/v1/collections/check-status
Query Parameters
The following query parameter is accepted.
| Parameter | Type | Description | Required |
|---|---|---|---|
referenceId | string | Unique reference identifier of the collection transaction | Yes |
Headers
The following header is accepted.
| Header | Type | Description | Required |
|---|---|---|---|
accept | application/json | Expected response format | Yes |
Example Request
bash
curl -X 'GET' \
'https://api.lipila.dev/api/v1/collections/check-status?referenceId=8017bfe9-d62b-4abb-b711-1690792e6efe' \
-H 'accept: application/json' \
-H 'x-api-key: your_secret_key'python
import requests
url = "https://api.lipila.dev/api/v1/collections/check-status"
headers = {
"accept": "application/json",
"x-api-key": "your_secret_key"
}
params = {
"referenceId": "8017bfe9-d62b-4abb-b711-1690792e6efe"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())csharp
using System.Net.Http;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("accept", "application/json");
client.DefaultRequestHeaders.Add("x-api-key", "your_secret_key");
var response = await client.GetAsync(
"https://api.lipila.dev/api/v1/collections/check-status?referenceId=8017bfe9-d62b-4abb-b711-1690792e6efe"
);
Console.WriteLine(await response.Content.ReadAsStringAsync());javascript
const params = new URLSearchParams({
referenceId: "8017bfe9-d62b-4abb-b711-1690792e6efe"
});
const response = await fetch(
`https://api.lipila.dev/api/v1/collections/check-status?${params}`,
{
method: "GET",
headers: {
"accept": "application/json",
"x-api-key": "your_secret_key"
}
}
);
const data = await response.json();
console.log(data);php
<?php
$referenceId = "8017bfe9-d62b-4abb-b711-1690792e6efe";
$url = "https://api.lipila.dev/api/v1/collections/check-status?" . http_build_query([
"referenceId" => $referenceId
]);
$headers = [
"accept: application/json",
"x-api-key: your_secret_key"
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPGET, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
$response = curl_exec($ch);
curl_close($ch);
echo $response;Example Successful Response
Below is an example successful response.
| HTTP Status Code | Description |
|---|---|
| 200 | SUCCESS |
js
{
"referenceId": "fca597ea2da6",
"currency": "ZMW",
"amount": 1,
"accountNumber": "260xxxxxxxxxx",
"status": "Successful",
"paymentType": "AirtelMoney",
"type": "Collection",
"ipAddress": "::1",
"identifier": "LPLTXNCAM-20250818145713-B4AB61CD8A8F",
"externalId": "MP251003.1252.C7324",
"message": "Transaction Successful"
}Error Codes
| HTTP Status Code | Error Code | Description |
|---|---|---|
| 400 | BAD REQUEST | Missing or invalid query parameters |
| 404 | NOT FOUND | Collection with the given referenceId not found |
| 429 | TOO MANY REQUESTS | Rate limit exceeded, slow down requests |